<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Affiliate Eye
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>

	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'affiliate-eye'); ?></a>
		<header class="header" id="header">
			<?php do_action('affiliate_eye_mobile_menu'); ?>
			<?php
			$affiliate_eye_header_top = get_theme_mod('affiliate_eye_header_top', 1);
			?>
			<?php
			if ($affiliate_eye_header_top) {
				do_action('affiliate_eye_header_top');
			}

			?>
			<?php
			if (get_theme_mod('affiliate_eye_headermiddle_show')) {
				do_action('affiliate_eye_header_logo');
			}

			?>
			<?php do_action('affiliate_eye_main_menu'); ?>
		</header>