<?php

/**
 * About setup
 *
 * @package Affiliate Eye
 */

require_once trailingslashit(get_template_directory()) . 'inc/about/class.about.php';

if (!function_exists('affiliate_eye_about_setup')) :

	/**
	 * About setup.
	 *
	 * @since 1.0.0
	 */
	function affiliate_eye_about_setup()
	{
		$theme = wp_get_theme();
		$xtheme_name = $theme->get('Name');
		$xtheme_domain = $theme->get('TextDomain');
		if ($xtheme_domain == 'x-magazine') {
			$theme_slug = $xtheme_domain;
		} else {
			$theme_slug = 'affiliate-eye';
		}



		$config = array(
			// Menu name under Appearance.
			'menu_name'               => sprintf(esc_html__('%s Info', 'affiliate-eye'), $xtheme_name),
			// Page title.
			'page_name'               => sprintf(esc_html__('%s Info', 'affiliate-eye'), $xtheme_name),
			/* translators: Main welcome title */
			'welcome_title'         => sprintf(esc_html__('Welcome to %s! - Version ', 'affiliate-eye'), $theme['Name']),
			// Main welcome content
			// Welcome content.
			'welcome_content' => sprintf(esc_html__('%1$s is now installed and ready to use. We want to make sure you have the best experience using the theme and that is why we gathered here all the necessary information for you. Thanks for using our theme!', 'affiliate-eye'), $theme['Name']),

			// Tabs.
			'tabs' => array(
				'getting_started' => esc_html__('Getting Started', 'affiliate-eye'),
				'recommended_actions' => esc_html__('Recommended Actions', 'affiliate-eye'),
				'useful_plugins'  => esc_html__('Useful Plugins', 'affiliate-eye'),
				'free_pro'  => esc_html__('Free Vs Pro', 'affiliate-eye'),
			),

			// Quick links.
			'quick_links' => array(
				'xmagazine_url' => array(
					'text'   => esc_html__('UPGRADE Affiliate Eye PRO', 'affiliate-eye'),
					'url'    => 'https://wpthemespace.com/product/affiliate-eye-pro/?add-to-cart=7763',
					'button' => 'danger',
				),

				'update_url' => array(
					'text'   => esc_html__('Affiliate Eye PRO Video', 'affiliate-eye'),
					'url'    => 'https://www.youtube.com/watch?v=dEFBLfCbBbg',
					'button' => 'danger',
				),

			),

			// Getting started.
			'getting_started' => array(
				'one' => array(
					'title'       => esc_html__('Demo Content', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-layout',
					'description' => sprintf(esc_html__('Demo content is pro feature. To import sample demo content, %1$s plugin should be installed and activated. After plugin is activated, visit Import Demo Data menu under Appearance.', 'affiliate-eye'), esc_html__('One Click Demo Import', 'affiliate-eye')),
					'button_text' => esc_html__('UPGRADE For  Demo Content', 'affiliate-eye'),
					'button_url'  => 'https://wpthemespace.com/product/affiliate-eye-pro/?add-to-cart=7763',
					'button_type' => 'primary',
					'is_new_tab'  => true,
				),

				'two' => array(
					'title'       => esc_html__('Theme Options', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-admin-customizer',
					'description' => esc_html__('Theme uses Customizer API for theme options. Using the Customizer you can easily customize different aspects of the theme.', 'affiliate-eye'),
					'button_text' => esc_html__('Customize', 'affiliate-eye'),
					'button_url'  => wp_customize_url(),
					'button_type' => 'primary',
				),
				'three' => array(
					'title'       => esc_html__('Show Video', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-layout',
					'description' => sprintf(esc_html__('You may show Affiliate Eye short video for better understanding', 'affiliate-eye'), esc_html__('One Click Demo Import', 'affiliate-eye')),
					'button_text' => esc_html__('Show video', 'affiliate-eye'),
					'button_url'  => 'https://www.youtube.com/watch?v=dEFBLfCbBbg',
					'button_type' => 'primary',
					'is_new_tab'  => true,
				),
				'five' => array(
					'title'       => esc_html__('Set Widgets', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-tagcloud',
					'description' => esc_html__('Set widgets in your sidebar, Offcanvas as well as footer.', 'affiliate-eye'),
					'button_text' => esc_html__('Add Widgets', 'affiliate-eye'),
					'button_url'  => admin_url() . '/widgets.php',
					'button_type' => 'link',
					'is_new_tab'  => true,
				),
				'six' => array(
					'title'       => esc_html__('Theme Preview', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-welcome-view-site',
					'description' => esc_html__('You can check out the theme demos for reference to find out what you can achieve using the theme and how it can be customized. Theme demo only work in pro theme', 'affiliate-eye'),
					'button_text' => esc_html__('View Demo', 'affiliate-eye'),
					'button_url'  => 'https://afx.fullsitediting.com/demos',
					'button_type' => 'link',
					'is_new_tab'  => true,
				),
				'seven' => array(
					'title'       => esc_html__('Contact Support', 'affiliate-eye'),
					'icon'        => 'dashicons dashicons-sos',
					'description' => esc_html__('Got theme support question or found bug or got some feedbacks? Best place to ask your query is the dedicated Support forum for the theme.', 'affiliate-eye'),
					'button_text' => esc_html__('Contact Support', 'affiliate-eye'),
					'button_url'  => 'https://wpthemespace.com/support/',
					'button_type' => 'link',
					'is_new_tab'  => true,
				),
			),

			'useful_plugins'        => array(
				'description' => esc_html__('Theme supports some helpful WordPress plugins to enhance your site. But, please enable only those plugins which you need in your site. For example, enable WooCommerce only if you are using e-commerce.', 'affiliate-eye'),
				'already_activated_message' => esc_html__('Already activated', 'affiliate-eye'),
				'version_label' => esc_html__('Version: ', 'affiliate-eye'),
				'install_label' => esc_html__('Install and Activate', 'affiliate-eye'),
				'activate_label' => esc_html__('Activate', 'affiliate-eye'),
				'deactivate_label' => esc_html__('Deactivate', 'affiliate-eye'),
				'content'                   => array(
					array(
						'slug' => 'magical-addons-for-elementor',
						'icon' => 'svg',
					),
					array(
						'slug' => 'magical-products-display'
					),
					array(
						'slug' => 'magical-posts-display'
					),
					array(
						'slug' => 'click-to-top'
					),
					array(
						'slug' => 'gallery-box',
						'icon' => 'svg',
					),
					array(
						'slug' => 'magical-blocks'
					),
					array(
						'slug' => 'easy-share-solution',
						'icon' => 'svg',
					),
					array(
						'slug' => 'wp-edit-password-protected',
						'icon' => 'svg',
					),
				),
			),
			// Required actions array.
			'recommended_actions'        => array(
				'install_label' => esc_html__('Install and Activate', 'affiliate-eye'),
				'activate_label' => esc_html__('Activate', 'affiliate-eye'),
				'deactivate_label' => esc_html__('Deactivate', 'affiliate-eye'),
				'content'            => array(
					'magical-blocks' => array(
						'title'       => __('Magical Posts Display', 'affiliate-eye'),
						'description' => __('Now you can add or update your site elements very easily by Magical Products Display. Supercharge your Elementor block with highly customizable Magical Blocks For WooCommerce.', 'affiliate-eye'),
						'plugin_slug' => 'magical-products-display',
						'id' => 'magical-posts-display'
					),
					'go-pro' => array(
						'title'       => '<a target="_blank" class="activate-now button button-danger" href="https://wpthemespace.com/product/affiliate-eye-pro/?add-to-cart=7763">' . __('UPGRADE Affiliate Eye PRO', 'affiliate-eye') . '</a>',
						'description' => __('You will get more frequent updates and quicker support with the Pro version.', 'affiliate-eye'),
						//'plugin_slug' => 'x-instafeed',
						'id' => 'go-pro'
					),

				),
			),
			// Free vs pro array.
			'free_pro'                => array(
				'free_theme_name'     => $xtheme_name,
				'pro_theme_name'      => $xtheme_name . __(' Pro', 'affiliate-eye'),
				'pro_theme_link'      => 'https://wpthemespace.com/product/newsx-paper-pro/',
				/* translators: View link */
				'get_pro_theme_label' => sprintf(__('Get %s', 'affiliate-eye'), 'Affiliate Eye Pro'),
				'features'            => array(
					array(
						'title'       => esc_html__('Daring Design for Devoted Readers', 'affiliate-eye'),
						'description' => esc_html__('Affiliate Eye\'s design helps you stand out from the crowd and create an experience that your readers will love and talk about. With a flexible home page you have the chance to easily showcase appealing content with ease.', 'affiliate-eye'),
						'is_in_lite'  => 'true',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Mobile-Ready For All Devices', 'affiliate-eye'),
						'description' => esc_html__('Affiliate Eye makes room for your readers to enjoy your articles on the go, no matter the device their using. We shaped everything to look amazing to your audience.', 'affiliate-eye'),
						'is_in_lite'  => 'true',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Home slider', 'affiliate-eye'),
						'description' => esc_html__('Affiliate Eye gives you extra slider feature. You can create awesome home slider in this theme.', 'affiliate-eye'),
						'is_in_lite'  => 'true',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Widgetized Sidebars To Keep Attention', 'affiliate-eye'),
						'description' => esc_html__('Affiliate Eye comes with a widget-based flexible system which allows you to add your favorite widgets over the Sidebar as well as on offcanvas too.', 'affiliate-eye'),
						'is_in_lite'  => 'true',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Auto Set-up Feature', 'affiliate-eye'),
						'description' => esc_html__('You can import demo site only one click so you can setup your site like demo very easily.', 'affiliate-eye'),
						'is_in_lite'  => 'ture',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Multiple Header Layout', 'affiliate-eye'),
						'description' => esc_html__('Affiliate Eye gives you extra ways to showcase your header with miltiple layout option you can change it on the basis of your requirement', 'affiliate-eye'),
						'is_in_lite'  => 'true',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('One Click Demo install', 'affiliate-eye'),
						'description' => esc_html__('You can import demo site only one click so you can setup your site like demo very easily.', 'affiliate-eye'),
						'is_in_lite'  => 'ture',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Extra Drag and drop support', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Advanced News Filter', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('News/posts Carousel', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Diffrent Style Blog', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Flexible Home Page Design', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Pro Service Section', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Animation Home Text', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Advance Customizer Options', 'affiliate-eye'),
						'description' => esc_html__('Advance control for each element gives you different way of customization and maintained you site as you like and makes you feel different.', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('Advance Pagination', 'affiliate-eye'),
						'description' => esc_html__('Multiple Option of pagination via customizer can be obtained on your site like Infinite scroll, Ajax Button On Click, Number as well as classical option are available.', 'affiliate-eye'),
						'is_in_lite'  => 'ture',
						'is_in_pro'   => 'true',
					),

					array(
						'title'       => esc_html__('Premium Support and Assistance', 'affiliate-eye'),
						'description' => esc_html__('We offer ongoing customer support to help you get things done in due time. This way, you save energy and time, and focus on what brings you happiness. We know our products inside-out and we can lend a hand to help you save resources of all kinds.', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
					array(
						'title'       => esc_html__('No Credit Footer Link', 'affiliate-eye'),
						'description' => esc_html__('You can easily remove the Theme: Affiliate Eye by Affiliate Eye copyright from the footer area and make the theme yours from start to finish.', 'affiliate-eye'),
						'is_in_lite'  => 'false',
						'is_in_pro'   => 'true',
					),
				),
			),

		);

		affiliate_eye_About::init($config);
	}

endif;

add_action('after_setup_theme', 'affiliate_eye_about_setup');


//Admin notice 
function affiliate_eye_new_optins_texts()
{
	global $pagenow;
	if (get_option('affiliateeyeop') || $pagenow == 'themes.php') {
		return;
	}
	$class = 'eye-notice notice notice-warning is-dismissible';
	$message = __('<strong>Upgrade Pro!! upgrade the Affiliate Eye Pro theme to get the next level of experience.!!<br /> Only active the Pro theme and install demo only one click then your site will be ready with lots of advanced features. Now create your site with the pro the por version!!!! So why late get pro now.</strong> ', 'affiliate-eye');
	$url1 = esc_url('https://afx.fullsitediting.com');
	$url3 = esc_url('https://wpthemespace.com/product/affiliate-eye-pro/?add-to-cart=7763');

	printf('<div class="%1$s" style="padding:10px 15px 20px;text-transform:uppercase"><p>%2$s</p><a target="_blank" class="button button-primary" href="%3$s" style="margin-right:10px">' . __('Affiliate Eye Pro Details', 'affiliate-eye') . '</a><a target="_blank" class="button button-primary" href="%4$s" style="margin-right:10px">' . __('Upgrade Pro', 'affiliate-eye') . '</a><button class="button button-info btnend" style="margin-left:10px">' . __('Dismiss the notice', 'affiliate-eye') . '</button></div>', esc_attr($class), wp_kses_post($message), $url1, $url3);
}
add_action('admin_notices', 'affiliate_eye_new_optins_texts');

function affiliate_eye_new_optins_texts_init()
{
	if (isset($_GET['xbnotice']) && $_GET['xbnotice'] == 1) {
		update_option('affiliateeyeop', 1);
	}
}
add_action('init', 'affiliate_eye_new_optins_texts_init');
